summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Andrzej Telszewski <atelszewski@gmail.com>2010-05-11 20:00:26 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:00:26 +0200
commit2eebab9920494e3172b3b8ce83089ec361296ee3 (patch)
treeb0d598b4312b0cb1ca89926fe53f1cc59eba8b79 /development
parent51230a82e53443e8ba9f6394b5bda18fa982f51f (diff)
downloadslackbuilds-2eebab9920494e3172b3b8ce83089ec361296ee3.tar.gz
slackbuilds-2eebab9920494e3172b3b8ce83089ec361296ee3.tar.xz
development/kontrollerlab: Added to 12.0 repository
Diffstat (limited to 'development')
-rw-r--r--development/kontrollerlab/README11
-rw-r--r--development/kontrollerlab/kontrollerlab.SlackBuild95
-rw-r--r--development/kontrollerlab/kontrollerlab.info8
-rw-r--r--development/kontrollerlab/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/development/kontrollerlab/README b/development/kontrollerlab/README
new file mode 100644
index 0000000000..3618d1990d
--- /dev/null
+++ b/development/kontrollerlab/README
@@ -0,0 +1,11 @@
+The KontrollerLab is a tool which can be used for developing
+ATMEL AVR microcontrollers software.
+
+The KontrollerLab uses these tools to make developing easier:
+ * Avr-gcc and helper programs to compile the C files,
+ link the object files, and assemble the ASM files.
+ * Uisp and avrdude to upload and download the programs.
+ * Built-in debugger for PC-only and in-circuit debugging,
+ currently at an early stage. [05/28/07]
+ * Serial terminal embedded in the IDE to ease debugging.
+ * Kate as the editor embedded in the IDE.
diff --git a/development/kontrollerlab/kontrollerlab.SlackBuild b/development/kontrollerlab/kontrollerlab.SlackBuild
new file mode 100644
index 0000000000..f2623df6cb
--- /dev/null
+++ b/development/kontrollerlab/kontrollerlab.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for KontrollerLab
+
+# Copyright (c) 2008 Andrzej Telszewski <atelszewski@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of the {company} nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=kontrollerlab
+SRCVERSION=0.8.0-beta1
+VERSION=0.8.0_beta1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCVERSION=$(echo $VERSION | tr _ -)
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+rm -rf $TMP/$PRGNAM-$VERSION
+
+cd $TMP
+tar xvf $CWD/$PRGNAM-$SRCVERSION.tar.*z*
+mv $PRGNAM-$SRCVERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc/kde \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/kontrollerlab/kontrollerlab.info b/development/kontrollerlab/kontrollerlab.info
new file mode 100644
index 0000000000..d493bc397e
--- /dev/null
+++ b/development/kontrollerlab/kontrollerlab.info
@@ -0,0 +1,8 @@
+PRGNAM="kontrollerlab"
+VERSION="0.8.0-beta1"
+HOMEPAGE="http://www.cadmaniac.org/"
+DOWNLOAD="http://mesh.dl.sourceforge.net/sourceforge/kontrollerlab/kontrollerlab-0.8.0-beta1.tar.bz2"
+MD5SUM="84345be534ec9fd438118541e09514a7"
+MAINTAINER="Andrzej Telszewski"
+EMAIL="atelszewski@gmail.com"
+APPROVED="David Somero"
diff --git a/development/kontrollerlab/slack-desc b/development/kontrollerlab/slack-desc
new file mode 100644
index 0000000000..ae0ba88d27
--- /dev/null
+++ b/development/kontrollerlab/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kontrollerlab: kontrollerlab (KontrollerLab)
+kontrollerlab:
+kontrollerlab: The KontrollerLab is a tool which can be used for developing
+kontrollerlab: ATMEL AVR microcontrollers software.
+kontrollerlab:
+kontrollerlab: The KontrollerLab makes use of: avr-gcc, uisp & avrdude. There is
+kontrollerlab: a built-in debugger for PC-only and in-circuit debugging, and Kate
+kontrollerlab: is used as the embedded editor.
+kontrollerlab:
+kontrollerlab:
+kontrollerlab: Home page: http://www.cadmaniac.org/